package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class HealthNutritionVO {
   @ApiModelProperty("营养元素名称")
   private String name;
   @ApiModelProperty("实际摄入量")
   private BigDecimal actual;
   @ApiModelProperty("建议摄入量")
   private BigDecimal advise;

   public HealthNutritionVO() {
   }

   public static HealthNutritionVOBuilder builder() {
      return new HealthNutritionVOBuilder();
   }

   public String getName() {
      return this.name;
   }

   public BigDecimal getActual() {
      return this.actual;
   }

   public BigDecimal getAdvise() {
      return this.advise;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setActual(final BigDecimal actual) {
      this.actual = actual;
   }

   public void setAdvise(final BigDecimal advise) {
      this.advise = advise;
   }

   public HealthNutritionVO(final String name, final BigDecimal actual, final BigDecimal advise) {
      this.name = name;
      this.actual = actual;
      this.advise = advise;
   }

   public static class HealthNutritionVOBuilder {
      private String name;
      private BigDecimal actual;
      private BigDecimal advise;

      HealthNutritionVOBuilder() {
      }

      public HealthNutritionVOBuilder name(final String name) {
         this.name = name;
         return this;
      }

      public HealthNutritionVOBuilder actual(final BigDecimal actual) {
         this.actual = actual;
         return this;
      }

      public HealthNutritionVOBuilder advise(final BigDecimal advise) {
         this.advise = advise;
         return this;
      }

      public HealthNutritionVO build() {
         return new HealthNutritionVO(this.name, this.actual, this.advise);
      }

   }
}
